package com.zt.plat.module.tmpltp.enums;

import lombok.Getter;

@Getter
public enum TmplStsEnum {
    // 草稿状态
    DRAFT("DRF", "草稿"),
    // 已发布状态
    PUBLISHED("PUB", "已发布"),
    // 已停用状态
    STOPPED("STOP", "已停用"),
    START("START", "已启用");

    // 获取状态编码
    private final String code;
    // 获取状态描述
    private final String description;

    // 构造方法
    TmplStsEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    // 根据编码获取枚举实例
    public static TmplStsEnum getByCode(String code) {
        for (TmplStsEnum status : TmplStsEnum.values()) {
            if (status.getCode().equals(code)) {
                return status;
            }
        }
        return null;
    }
}
